[package]
name = "kpcli"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
anyhow = "1.0.93"
clap = { version = "4.5.20", features = ["derive"] }
dotenv = "0.15.0"
env_logger = "0.11.8"
futures-util = "0.3.31"
kordophone = { path = "../kordophone" }
kordophone-db = { path = "../kordophone-db" }
log = "0.4.22"
pretty = { version = "0.12.3", features = ["termcolor"] }
prettytable = "0.10.0"
serde_json = "1.0"
time = "0.3.37"
tokio = "1.41.1"
async-trait = "0.1.80"

# D-Bus dependencies only on Linux
[target.'cfg(target_os = "linux")'.dependencies]
dbus = "0.9.7"
dbus-tree = "0.9.2"

# D-Bus codegen only on Linux
[target.'cfg(target_os = "linux")'.build-dependencies]
dbus-codegen = "0.10.0"

# XPC (libxpc) interface only on macOS
[target.'cfg(target_os = "macos")'.dependencies]
block = "0.1.6"
futures = "0.3.4"
xpc-connection  = { git = "https://github.com/dfrankland/xpc-connection-rs.git", rev = "cd4fb3d", package = "xpc-connection" }
xpc-connection-sys = { git = "https://github.com/dfrankland/xpc-connection-rs.git", rev = "cd4fb3d", package = "xpc-connection-sys" }
